preprocessor error: redefinition of ***

More
4 years 6 months ago - 4 years 6 months ago #1 by Iddqd
Hello! I try out new version of Reshade with old preprocessor shaders but i get "preprocessor error: redefinition of ***"

Sorry for DB but PastBin have limit 512kbs :(

If i use 1.1 version i get error in new shaders (Histogram,TexDither etc.)

pastebin.com/7CvvnNGf in shader file i have 80 lines
Last edit: 4 years 6 months ago by Iddqd.

Please Log in or Create an account to join the conversation.

More
4 years 6 months ago #2 by crosire
Replied by crosire on topic preprocessor error: redefinition of ***
Some 1.1 shaders do not work with 2.0 anymore, because 2.0 fixed a preprocessor bug, which some of those shaders mistakenly rely on.
And all 2.0 shaders won't work on 1.1, because 2.0 has added several new features to the ReShade FX language.

Please Log in or Create an account to join the conversation.